/*
Copyright (c) 2002,2003, Christian Nowak <chnowak@web.de>
All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are 
permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of 
  conditions and the following disclaimer. 
- Redistributions in binary form must reproduce the above copyright notice, this list 
  of conditions and the following disclaimer in the documentation and/or other 
  materials provided with the distribution. 
- The names of the contributors may not be used to endorse or promote products derived 
  from this software without specific prior written permission. 

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY 
EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL 
THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF 
THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

#include "defines.h"

/* Convert semitone offsets to Amiga frequency values (0..4095) */
u16 freqtab[256] =
  {
    0,      /* 0 */
    0,      /* 1 */
    0,      /* 2 */
    0,      /* 3 */
    0,      /* 4 */
    0,      /* 5 */
    0,      /* 6 */
    0,      /* 7 */
    0,      /* 8 */
    0,      /* 9 */
    0,      /* 10 */
    0,      /* 11 */
    0,      /* 12 */
    0,      /* 13 */
    0,      /* 14 */
    0x6b0,  /* 15 */
    0x650,  /* 16 */
    0x5f5,  /* 17 */
    0x5a0,  /* 18 */
    0x54f,  /* 19 */
    0x503,  /* 20 */
    0x4bb,  /* 21 */
    0x477,  /* 22 */
    0x436,  /* 23 */
    0x3fa,  /* 24 */
    0x3c1,  /* 25 */
    0x386,  /* 26 */
    0x358,  /* 27 */
    0x328,  /* 28 */
    0x2fa,  /* 29 */
    0x2d0,  /* 30 */
    0x2a6,  /* 31 */
    0x280,  /* 32 */
    0x25c,  /* 33 */
    0x23a,  /* 34 */
    0x21a,  /* 35 */
    0x1fc,  /* 36 */
    0x1e0,  /* 37 */
    0x1c5,  /* 38 */
    0x1ac,  /* 39 */
    0x194,  /* 40 */
    0x17d,  /* 41 */
    0x168,  /* 42 */
    0x153,  /* 43 */
    0x140,  /* 44 */
    0x12e,  /* 45 */
    0x11d,  /* 46 */
    0x10d,  /* 47 */
    0x0fe,  /* 48 */
    0x0f0,  /* 49 */
    0x0e2,  /* 50 */
    0x0d6,  /* 51 */
    0x0ca,  /* 52 */
    0x0be,  /* 53 */
    0x0b4,  /* 54 */
    0x0aa,  /* 55 */
    0x0a0,  /* 56 */
    0x097,  /* 57 */
    0x08f,  /* 58 */
    0x087,  /* 59 */
    0x07f,  /* 60 */
    0x078,  /* 61 */
    0x071,  /* 62 */
    0x06b,  /* 63 */
    0x065,  /* 64 */
    0x05f,  /* 65 */
    0x05a,  /* 66 */
    0x055,  /* 67 */
    0x04c,  /* 68 */
    0x047,  /* 69 */
    0x043,  /* 70 */
    0x040,  /* 71 */
    0x03c,  /* 72 */
    0x039,  /* 73 */
    0x036,  /* 74 */
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0
  };


